Get Template
Retrieve a specific template by UUID, including its content and audience.
Request
GET /templates/{uuid}
Path Parameters
| Parameter | Type | Description |
|---|---|---|
uuid | string | Template's UUID |
Example Request
curl -X GET "https://email.easy.tools/api/v1/templates/94c6cd70-6747-4f1d-8cbc-b83150f33bb7" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
Response
Success Response (200)
{
"data": {
"uuid": "94c6cd70-6747-4f1d-8cbc-b83150f33bb7",
"name": "Welcome",
"subject": "Welcome aboard",
"preheader": "Here's how to get started",
"from_name": "Acme",
"reply_to": "support@example.com",
"from_identity": "be42790c-e33e-4d11-9115-c84ca6c94161",
"from_email": "hello@acme.com",
"content": "## Welcome\n\nThanks for joining.",
"content_editable_via_api": true,
"content_overwrite_required": false,
"audience": {
"list_uuid": "e552afa9-5948-4ac3-b4f0-9a2a020976a2",
"segment_uuid": null,
"has_filters": false
},
"created_at": "2026-05-12T09:15:00Z",
"updated_at": "2026-05-20T16:42:08Z",
"last_updated_at": "2026-05-20T16:42:08Z"
}
}
Response Fields
The template has the fields described in Template Object.
Error Responses
Not Found Error (404)
Returned when the UUID is malformed, or does not match a template on your account. See Templates and campaigns.
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Template with UUID '94c6cd70-6747-4f1d-8cbc-b83150f33bb7' not found"
}
}